/**
 * Theme Name:     Astra Child
 * Author:         Fernando García
 * Template:       astra
 * Text Domain:	   astra-child
 * Description:    Astra Child WordPress theme
 */


@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');


html{
    margin:0px!important;
    scroll-behavior: auto !important;
}

:root {
    --dark: #080E1B;
    --white: #FFF;
    --text: #9EA3BF;
    --green: #1E3B39;
    --green-2: #017C73;
    --green-3:#ADCBC7;
    --gray:#E4E4E4;
}

ul, li {
    list-style: none;
    padding: 0;
    margin: 0;
}

body {
    font-family: "Manrope", sans-serif!important;
    font-optical-sizing: auto;
    font-size: 16px;
	background:var(--white)!important;
    color:var(--green)!important;

}

h1, h2 ,h3, h4, h5, h6{
    font-family: "Manrope", sans-serif!important;
    font-weight: 500!important;
    margin-bottom: 15px;
    color:var(--green)!important;
    text-wrap-style: balance;
}


h1{
    font-size: 3rem!important;
    line-height: 3.2rem!important;
    font-weight: bold!important;
    letter-spacing: -2px!important;
}

p {
    line-height: 140%;
}

a{    
    text-decoration: none!important;
    list-style: none;
    font-size: 0.875rem;
}

.block-section {
    padding: 2em 0;
}

a.btn {
    padding: 10px 20px;
    gap: 10px;
    height: 50px;
    border-radius: 25px;
    flex: none;
    order: 0;
    flex-grow: 0;
    font-size: 16px;
    font-weight: 600;
    color:var(--white);
    line-height: 30px;
    background: transparent!important;
    transition: .3s;
}



.btn.btn-primary {
    background: var(--green)!important;
    border-color: var(--green)!important;
    transition: .3s!important;
}

.btn.btn-primary:hover{
    background-color: var(--green-2)!important;
}

.btn.btn-secondary {
    background: var(--green-2)!important;
    border-color: var(--green-2)!important;
    transition: .3s!important;
}



.btn.btn-outline-primary {
    background: transparent!important;
    border-color: var(--white)!important;
    color:var(--white)!important;
    transition: .3s!important;
}

.btn.btn-outline-primary:hover{
    background-color: #42a2fe1f !important;
}


.block-title {
    padding: 0rem 0;
}

.ast-primary-header-bar{
    background: transparent;
    border:none!important;
}

.ast-plain-container.ast-no-sidebar #primary {
    margin-top: 0;
    margin-bottom: 0;
}

.ast-container, .ast-container-fluid {
    padding: 0;
}




header{
    position: fixed!important;
    top: 10px;
    background: transparent;
    border-radius: 5px;
    width: calc(100% - 20px);
    max-width: 1320px; 
   transition: all 0.35s ease;
   place-self: anchor-center;
   border-radius: 10px;
   border: 1px solid transparent;
  
   backdrop-filter: blur(10px);
    background: hsl(0deg 0% 100% / 80%);
}

header.active {
    border:1px solid var(--text);    
    background: var(--white);   
    box-shadow: 
        0 4px 10px rgba(0,0,0,0.06),
        0 10px 25px rgba(0,0,0,0.1);
}

.main-header-menu > .menu-item > .menu-link {
    font-size: 1rem;
    color: var(--green)!important;
}

[data-section="section-header-mobile-trigger"] .ast-button-wrap .mobile-menu-toggle-icon .ast-mobile-svg {
    width: 20px;
    height: 20px;
    fill: #ffffff;
}


.ast-mobile-header-wrap .ast-button-wrap .menu-toggle.main-header-menu-toggle,
[data-section="section-header-mobile-trigger"] .ast-button-wrap .ast-mobile-menu-trigger-minimal {
    border-radius: 5px!important;
    background: var(--green)!important;
}

[data-section="section-header-mobile-trigger"] .ast-button-wrap .mobile-menu-toggle-icon .ast-mobile-svg{
    color:var(--white)!important;
}

.ast-mobile-header-wrap .ast-mobile-header-content{
    background: transparent;
    backdrop-filter: blur(20px);
}


.ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item > .menu-link{
    color: #fff!important;
    padding: 0px 10px;
}

.ast-header-break-point .ast-mobile-header-wrap .ast-flex.stack-on-mobile{
    border-radius: 10px;
    background: var(--green);
    padding: 20px;
    
}

#ast-scroll-top{
    border-radius: 100%;
    background: var(--green-2);
}


@media (min-width: 922px) {
    .ast-container,
    .ast-narrow-container .site-content > .ast-container {
        max-width: 100%;
    }
    .main-header-bar-wrap {
        padding: 0 2rem;
    }
}


[data-section="section-header-mobile-trigger"] {
    background: var(--bs-primary);
    border-radius: 100%;
}

[data-section="section-header-mobile-trigger"] .ast-button-wrap .ast-mobile-menu-trigger-fill{
    background: var(--verdeClaro);
}

footer a { 
    text-decoration: none;
    
}


/* Posteo blog */
.single-post{
	background:#fff;
}

/* link en el header AGENDAR*/
.ast-header-break-point .main-navigation .stack-on-mobile li:last-child{
	width:auto;
}


.ast-header-break-point .main-navigation .stack-on-mobile li + li{margin-top: 10px;}


.ast-desktop .ast-menu-hover-style-overline > li.menu-item:last-child > .menu-link:before{
	content:none;
}



#wpadminbar {
    display: none !important;
}


footer{
    padding: 2em 20px;
    position: relative;
    z-index: 1;
    overflow: hidden;
}


.site-footer {
  position: relative;
}

.site-footer::before {
    content: '';
    position: absolute;
    background-image: url(assets/img/nube.svg);
    background-size: cover;
    background-repeat: no-repeat;
    top: 250px;
    left: 0;
    width: 100vw;
    height: 200vh;
    z-index: -1;
    background-position-y: center;
    background-attachment: fixed;
    filter: blur(100px);
}

.footer-grid {
    padding: 0px 20px;
    color: white;
    display: grid;
    gap: 15px;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
}

.footer-grid .footer-col {
    display: flex;
    flex-flow: column;
    gap: 5px;
}



#astra-footer-menu > .menu-item > .menu-link {
    color: var(--green);
    text-decoration: underline!important;
    padding: 0px;
    margin: 0px;
}

#astra-footer-menu {
    padding: 0px;
    gap: 10px;
}

@media (min-width: 1200px) {

    .block-section{
        padding: 4rem 0rem;
    }

    h1{
        font-size:4rem!important;
        line-height: 4.2rem!important;
        letter-spacing: -2px!important;
    }

    h2{
        font-size: 2.5rem!important;
        line-height: 2.8rem!important;
        letter-spacing: -2px!important;
    }

    h3{
        font-size:1.7rem!important;
        line-height: 2rem!important;
        letter-spacing: -1px!important;
    }


    h4 {
        font-size: 1.375rem!important;
    }
}

.ast-site-identity .site-title a{display: none;}

span.badge{
    box-sizing: border-box;
    display: table;
    margin: auto;
    padding: 8px 12px;
    border: 1px solid var(--border);
    border-radius: 55px;
    font-size: .9rem;
    font-weight: 600;
    width: auto;
    color:var(--white);
}

.content-area.primary{
    margin: 0px!important;
}


/*footer*/

.site-below-footer-wrap[data-section="section-below-footer-builder"]{
    border-top: none;
}

.ast-header-break-point .site-below-footer-wrap[data-section="section-below-footer-builder"],
.ast-builder-footer-grid-columns.site-below-footer-inner-wrap.ast-builder-grid-row{
    justify-content: center!important;
}

.ast-builder-footer-grid-columns.site-below-footer-inner-wrap.ast-builder-grid-row img {
    margin: auto;
    display: block;
}

ul.list-company {
    padding: 0px;
    margin: 0px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

ul.list-company li a  {
    color: white;
    transition: .3s;
}

ul.list-company li a:hover  {
    color: var(--green);
}


.ast-footer-copyright{font-size: .8rem;}

@media (min-width: 767px) {

    .site-below-footer-wrap[data-section="section-below-footer-builder"] .ast-builder-grid-row{
        display: flex;
        justify-content: space-between!important;
    }

    .ast-builder-footer-grid-columns.site-below-footer-inner-wrap.ast-builder-grid-row img {
        margin-left: 0px;
    }    

    .ast-footer-copyright{text-align: right!important;}
}


.border-radius{border-radius: 10px;}
.border-var{border:1px solid var(--border);}
.bg-blue{background: var(--blue);}

.main-header-menu .sub-menu:hover li a{color:white;}

.ast-builder-menu-1 .menu-item > .menu-link,
.ast-builder-menu-1 .inline-on-mobile .menu-item > .ast-menu-toggle{font-weight: 500;}


.border-radius{border-radius: 10px;}
.border-var{border:1px solid var(--border);}
.bg-blue{background: var(--blue);}
.text{color:var(--text);}
.green{color:var(--green);}

[id] {
  scroll-margin-top: 200px;
}



::-webkit-scrollbar {width: 7px; height: 5px;}
::-webkit-scrollbar-thumb {background: var(--green-2);-webkit-transition: .3s;transition: .3s;border-radius: 3px;}
::-webkit-scrollbar-track {border-radius: 0px;}
::-moz-selection {background: var(--dark);color: #dadada;}
::selection {background: var(--green-2);color: var(--white);}


ul.sub-menu {
    background: var(--green);
    border-radius: 5px;
}

ul.sub-menu > li > a{
    margin-left: 0px!important;
}


.ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item > .ast-menu-toggle{
    color:white!important;
    box-shadow: none;;
}

.ast-header-break-point .main-header-menu .sub-menu{
    background-color: var(--green);
}


.ast-header-break-point .main-navigation ul .sub-menu .menu-item:not(.menu-item-has-children) .menu-link .icon-arrow:first-of-type{
    display: none;
}

.ast-builder-menu-1 .sub-menu,.ast-builder-menu-1 .inline-on-mobile .sub-menu{
    border:none!important;
}

.section__beneficios:not(:has(.row:last-child > *)) {
  display: none;
}

/* footer */
footer .widget.widget_nav_menu h2,
.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner p strong {
    font-size: .8rem!important;
    letter-spacing: 0px!important;
    font-weight: 600!important;
    line-height: 1.1rem!important;
    text-transform: uppercase;
}
.widget.widget_nav_menu a {color: var(--green);color:white;transition: .3s;}
aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"] {display: flex;align-items: flex-start;gap: 50px;flex-flow:wrap;}
aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"] section ul li + li {
    margin-top: 2px;
}

aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"] section{
    padding: 0px;
}

aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"] section ul li a {
    flex-wrap: nowrap;
    font-size: .8rem;
}

aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"] section ul li a:hover{text-decoration: underline!important;}

aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"]:first-child .is-layout-flex{
    flex-direction: row;
    gap:0px;
    justify-content: flex-start;
}

aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"]:first-child .is-layout-flex p,
aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"]:first-child .is-layout-flex a{
    font-size: .8rem;
    color:white;
    line-height: 1.2rem;
}

.wp-block-social-links .wp-block-social-link.wp-social-link{background: transparent;}

aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"]:first-child .is-layout-flex a{
    font-size: 1.2rem;
    margin-top: 20px;
    padding: 0px;
}

.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner{
    display: grid;
    justify-content: space-between;
    padding: 50px 0px;
    border-top: 1px dashed var(--border);
    border-bottom: 1px dashed var(--border);
    gap: 20px;
    flex-flow: wrap;
    grid-template-columns: 1fr 1fr;
}



.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner section{
    margin-bottom: 0px;
}

.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner section p{
    font-size: .8rem;
    color:white;
    margin-bottom: 0px;
}

@media (min-width:767px) {

    .footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner{        
        grid-template-columns: 1fr 1fr 1fr;
    }

    aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"] > * {
        width: calc(18% - 50px);
    }

    aside.footer-widget-area.widget-area.site-footer-focus-item.footer-widget-area-inner[data-section="sidebar-widgets-footer-widget-2"] section:first-child {
        width: calc(28% - 50px);
    }

    
    
}



/* menu */

@media (min-width: 922px){
    
    
    .main-header-menu > .menu-item > .sub-menu::before{
        content: '';
        width: 0px!important;
        height: 0px!important;
        left: auto!important;
        right: 22px!important;
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-bottom: 10px solid var(--green);
        position: absolute;
        display: block;
        z-index: 1;
    }
    .ast-builder-menu .main-navigation>ul{gap: 5px;}
    .main-header-menu > .menu-item > .menu-link{
        font-size: .9rem;
    }
    .main-header-menu {
        position: relative;
    }
    .main-header-menu > .menu-item {
        position: relative;
    }

    .main-header-menu > .menu-item::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 24px;
    }

    .main-header-menu .sub-menu {

        display: block !important;
        position: absolute;
        top: calc(100% + 16px);
        left: auto!important;
        right: 0px!important;
        min-width: 330px;
        margin: 0;
        background-color: var(--green)!important;
        list-style: none;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transform:
            translateY(10px)
            scale(0.9);
        transition:
            opacity 0.4s ease,
            transform 0.4s ease,
            visibility 0.4s ease;
        z-index: 999;
    }

    .main-header-menu > .menu-item > .sub-menu {
        padding: 10px;
    }

    .main-header-menu > .menu-item:hover > .sub-menu {        
        opacity: 1;        
        visibility: visible;
        pointer-events: auto;
        transform:
            translateY(0)
            scale(1);
    }


    .main-header-menu .sub-menu li {
        margin: 0;
        padding: 0;
        list-style: none;
    }



    .main-header-menu .sub-menu li a {
        display: flex;
        align-items: center;
        gap: 10px;
        width: 100%;
        color: var(--green);

        text-decoration: none;
        transition:
            background 0.2s ease,
            transform 0.2s ease,
            color 0.2s ease;
    }


    .main-header-menu .sub-menu li a:hover {
        background: var(--white);
        border-radius: 5px;
    }

    .main-header-menu .sub-menu .ast-icon {
        display: none;
    }

    .main-header-menu .sub-menu::before {
        display: none;
    }

   
    .ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item,
    .ast-mobile-header-wrap .ast-primary-header-bar, .ast-primary-header-bar .site-primary-header-wrap{line-height: 50px!important; min-height: 50px;}

    .ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item.menu-item-object-language_switcher {
        position: fixed;
        right: 200px;
    }

    .ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item.menu-item-object-language_switcher span.trp-ls-language-name{
        font-size: .8rem;
    }

   

    
    .ast-builder-menu-1 .menu-item.current-menu-item > .menu-link,
    .ast-builder-menu-1 .inline-on-mobile .menu-item.current-menu-item > .ast-menu-toggle,
    .ast-builder-menu-1 .current-menu-ancestor > .menu-link,
    .ast-builder-menu-1 .menu-item:hover > .menu-link,
    .ast-builder-menu-1 .inline-on-mobile .menu-item:hover > .ast-menu-toggle{
        background: #1e3b3917;
        border-radius: 5px;
    }
}

@media (max-width: 921px) {
    .ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link, .ast-builder-menu-mobile .main-navigation .inline-on-mobile .menu-item.current-menu-item > .ast-menu-toggle, .ast-builder-menu-mobile .main-navigation .menu-item.current-menu-ancestor > .menu-link, .ast-builder-menu-mobile .main-navigation .menu-item.current-menu-ancestor > .ast-menu-toggle {
        background: transparent!important;
    }
}

.ast-separate-container #primary{
    padding: 0px;
}

.fade-in{
    position: relative;
    z-index: 1;
}

.fade-in::before,
.fade-in::after{
    pointer-events: none;
}

@media (min-width: 1024px) {
    .footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner{
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }
}

/* footer */

.site-below-footer-wrap[data-section="section-below-footer-builder"] .ast-builder-grid-row,
.site-primary-footer-wrap[data-section="section-primary-footer-builder"] .ast-builder-grid-row{
    max-width: 1300px;
    align-items: center;
}

.site-primary-footer-wrap[data-section="section-primary-footer-builder"]{
    background-color: white;
    border:none;
}

@media (max-width: 544px) {
    .site-below-footer-wrap[data-section="section-below-footer-builder"].ast-footer-row-mobile-stack .site-footer-section {
        display: block;
        margin-bottom: 30px;
    }
}

.ast-builder-menu-mobile .main-navigation .menu-item.menu-item-has-children > .ast-menu-toggle{
    top: 0px!important;
}




.grecaptcha-badge {
    visibility: hidden !important;
}
.wa-contact{
    position:fixed;
    right:24px;
    bottom:24px;
    z-index:9999;

    display:flex;
    align-items:center;
    gap:12px;

    text-decoration:none;
    font-family:inherit;
}

.wa-contact__text{
    background:#fff;
    color:#111;
    padding:12px 16px;
    border-radius:14px;
    box-shadow:0 8px 30px rgba(0,0,0,.12);

    font-size:14px;
    font-weight:600;
    line-height:1.2;
}

.wa-contact__text small{
    display:block;
    margin-top:3px;
    color:#666;
    font-size:12px;
    font-weight:400;
}

.wa-contact__icon{
    width:62px;
    height:62px;
    border-radius:50%;
    background:#25D366;

    display:flex;
    align-items:center;
    justify-content:center;

    box-shadow:0 10px 25px rgba(37,211,102,.35);

    animation:waPulse 2s infinite;
}

.wa-contact__icon svg{
    width:34px;
    height:34px;
    fill:#fff;
}

@keyframes waPulse{
    0%{
        box-shadow:0 0 0 0 rgba(37,211,102,.5);
    }
    70%{
        box-shadow:0 0 0 18px rgba(37,211,102,0);
    }
    100%{
        box-shadow:0 0 0 0 rgba(37,211,102,0);
    }
}

@media(max-width:768px){

    .wa-contact{
        right:15px;
        bottom:15px;
    }

    .wa-contact__text{
        display:none;
    }

    .wa-contact__icon{
        width:58px;
        height:58px;
    }
}